com.beanit.asn1bean.ber.types.string

## Class BerPrintableString

- java.lang.Object
- - com.beanit.asn1bean.ber.types.BerOctetString
  - - com.beanit.asn1bean.ber.types.string.BerPrintableString

- All Implemented Interfaces:
    BerType, java.io.Serializable

      public class BerPrintableString
      extends BerOctetString

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`

    - ### Fields inherited from class com.beanit.asn1bean.ber.types.BerOctetString

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BerPrintableString()`
    `BerPrintableString(byte[] value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.beanit.asn1bean.ber.types.BerOctetString

      `decode, encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

  - ### Constructor Detail

    - #### BerPrintableString

          public BerPrintableString()

    - #### BerPrintableString

          public BerPrintableString(byte[] value)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BerOctetString`

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `encode` in class `BerOctetString`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `decode` in class `BerOctetString`
      Throws:
        `java.io.IOException`